Bug 522732 - Review Request: perl-Text-Diff-Parser - Parse patch files containing unified and standard diffs
Summary: Review Request: perl-Text-Diff-Parser - Parse patch files containing unified ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 08:43 UTC by Emmanuel Seyman
Modified: 2009-10-01 00:05 UTC (History)
2 users (show)

Fixed In Version: 0.1001-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-01 00:03:02 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2009-09-11 08:43:43 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Text-Diff-Parser/perl-Text-Diff-Parser.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Text-Diff-Parser/perl-Text-Diff-Parser-0.1000-1.fc11.src.rpm
Description:
Text::Diff::Parser parses diff files and patches. It allows you to access
the changes to a file in a standardized way, even if multiple patch
formats are used.

Comment 2 Jason Tibbitts 2009-09-23 04:18:35 UTC
Builds fine and rpmlint is silent.

Note that a test is skipped because of a missing build dependency (Pod::Coverage).  POD coverage is generally a maintainer check anyway, so I don't think it's a big deal, but you run the POD checks so I figured you might want to run the coverage checks too.

* source files match upstream.  sha256sum:                           
   3d69fa8eb97405a6bd398d0d9305a0aaa0f83cfa176a8660ab58674282cc0266
   Text-Diff-Parser-0.1001.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Text::Diff::Parser) = 0.1001
   perl(Text::Diff::Parser::Change)
   perl-Text-Diff-Parser = 0.1001-1.fc12
  =
   perl >= 0:5.00404
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(IO::File)
   perl(strict)
   perl(vars)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=7, Tests=58,  0 wallclock secs ( 0.05 usr  0.02 sys +  0.36 cusr  0.06 
   csys =  0.49 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.

Comment 3 Emmanuel Seyman 2009-09-23 07:10:08 UTC
(In reply to comment #2)
>
> APPROVED

Thanks, Jason. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Text-Diff-Parser
Short Description: Parse patch files containing unified and standard diffs
Owners: eseyman
Branches: F-10 F-11 F-12
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2009-09-24 04:35:14 UTC
cvs done.

Comment 5 Fedora Update System 2009-09-24 08:52:02 UTC
perl-Text-Diff-Parser-0.1001-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Text-Diff-Parser-0.1001-1.fc10

Comment 6 Fedora Update System 2009-09-24 08:52:08 UTC
perl-Text-Diff-Parser-0.1001-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Text-Diff-Parser-0.1001-1.fc11

Comment 7 Fedora Update System 2009-09-25 20:11:23 UTC
perl-Text-Diff-Parser-0.1001-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Text-Diff-Parser'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9930

Comment 8 Fedora Update System 2009-09-25 20:14:42 UTC
perl-Text-Diff-Parser-0.1001-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Text-Diff-Parser'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9956

Comment 9 Fedora Update System 2009-10-01 00:02:56 UTC
perl-Text-Diff-Parser-0.1001-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-10-01 00:05:30 UTC
perl-Text-Diff-Parser-0.1001-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.